---
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  annotations:
    include.release.openshift.io/ibm-cloud-managed: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
    include.release.openshift.io/single-node-developer: "true"
  creationTimestamp: "2025-10-27T11:18:42Z"
  generation: 1
  labels:
    k8s-app: machine-config-operator
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:include.release.openshift.io/ibm-cloud-managed: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
          f:include.release.openshift.io/single-node-developer: {}
        f:labels:
          .: {}
          f:k8s-app: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"d36bdf59-d268-4238-afb0-5e0b21cca1a4"}: {}
      f:spec:
        .: {}
        f:groups:
          .: {}
          k:{"name":"drain-override-configmap-present"}:
            .: {}
            f:name: {}
            f:rules: {}
    manager: cluster-version-operator
    operation: Update
    time: "2025-10-27T11:18:42Z"
  name: machine-config-operator
  namespace: openshift-machine-config-operator
  ownerReferences:
  - apiVersion: config.openshift.io/v1
    controller: true
    kind: ClusterVersion
    name: version
    uid: d36bdf59-d268-4238-afb0-5e0b21cca1a4
  resourceVersion: "1901"
  uid: 193325e0-a3d7-405b-963b-74a8aa66b8b0
spec:
  groups:
  - name: drain-override-configmap-present
    rules:
    - alert: MCODrainOverrideConfigMapAlert
      annotations:
        description: Image Registry Drain Override configmap has been detected. Please
          use the Node Disruption Policy feature to control the cluster's drain behavior
          as the configmap method is currently deprecated and will be removed in a
          future release.
        summary: Alerts the user to the presence of a drain override configmap that
          is being deprecated and removed in a future release.
      expr: |
        mco_image_registry_drain_override_exists > 0
      labels:
        namespace: openshift-machine-config-operator
        severity: warning
